# WaveHeader constructor

WaveHeader(

1. int mFormat,
2. int mNumChannels,
3. int mSampleRate,
4. int mBitsPerSample,
5. int mNumBytes,

)

Construct a WaveHeader, with fields initialized.

## Parameters

- format: format of audio data. Can be:
  - #FORMAT_PCM
  - #FORMAT_ULAW
  - #FORMAT_ALAW
- numChannels: 1 for mono, 2 for stereo.
- sampleRate: typically 8000, 11025, 16000, 22050, 44100 hz or 48000 hz.
- bitsPerSample: usually 16 for PCM, 8 for ULAW or 8 for ALAW.
- numBytes: size of audio data after this header, in bytes.

## Implementation

    WaveHeader(
      this.mFormat,
      this.mNumChannels,
      this.mSampleRate,
      this.mBitsPerSample,
      this.mNumBytes,
    );